import { post } from '#/api/http'

import { BasicService } from '../basic'

class SpLearnWithdrawService extends BasicService {
  async audit(data: any) {
    return await post<any>('/org/learnAmount/withdraw/audit', data)
  }

  protected findPageUrl(): string {
    return '/org/learnAmount/withdraw/list'
  }

  protected removeUrl(): string {
    throw new Error('Method not implemented.')
  }

  protected saveOrUpdateUrl(): string {
    return '/org/learnAmount/withdraw/saveOrUpdate'
  }
}

export const spLearnWithdrawService = new SpLearnWithdrawService()
